> For the complete documentation index, see [llms.txt](https://docs.zk.me/hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zk.me/hub/how-built.md).

# HOW IT'S BUILT

- [Underlying Modules](https://docs.zk.me/hub/how-built/modules.md)
- [Identity Infrastructure Stack](https://docs.zk.me/hub/how-built/id-infra.md)
- [zkMe Identity Chain](https://docs.zk.me/hub/how-built/id-infra/zkme-identity-chain.md)
- [zkMe Self-Sovereign Identity](https://docs.zk.me/hub/how-built/id-infra/ssi.md): zkMe Self-Sovereign Identity empowers users with full control over their credentials, blending privacy, security, and decentralization to transform how identity verification is performed.
- [zkMe DID Method](https://docs.zk.me/hub/how-built/id-infra/did-method.md)
- [Faceprint DID Creation](https://docs.zk.me/hub/how-built/id-infra/did-method/did-creation.md)
- [zkMe zkVault](https://docs.zk.me/hub/how-built/id-infra/zkvault.md): This section explains the zkMe data recovery procedure enabled by the zkMe Data Vault required to fulfill regulatory data storage and retention requirements in all major jurisdictions.
- [zkMe FHE](https://docs.zk.me/hub/how-built/id-infra/fhe.md): A DID scheme based on homomorphic encryption of face features
- [zkMe zkPassport](https://docs.zk.me/hub/how-built/id-infra/zkpassport.md)
- [Supported Countries](https://docs.zk.me/hub/how-built/id-infra/zkpassport/supported-countries.md)
- [zkMe zkTLS](https://docs.zk.me/hub/how-built/id-infra/zktls.md)
- [zkMe Smart Contracts](https://docs.zk.me/hub/how-built/id-infra/smart-contracts.md)
- [Credential System Stack](https://docs.zk.me/hub/how-built/credential-sys.md)
- [Core Concepts](https://docs.zk.me/hub/how-built/credential-sys/core-concepts.md)
- [Selective Disclosure](https://docs.zk.me/hub/how-built/credential-sys/selective-disclosure.md): Selective Disclosure enables fine-grained privacy control, allowing Holders to reveal specific credential field values rather than just boolean results.
- [Multi-Credential Proofs & Delegation](https://docs.zk.me/hub/how-built/credential-sys/multi-proofs.md)
- [Anti-Sybil Mechanisms](https://docs.zk.me/hub/how-built/credential-sys/anti-sybil-mech.md)
- [Reusable Credentials](https://docs.zk.me/hub/how-built/credential-sys/reusable-credentials.md)
- [Agent-Ready Credentials](https://docs.zk.me/hub/how-built/credential-sys/agent-ready-credentials.md)
- [Agent Trust Gateway Stack](https://docs.zk.me/hub/how-built/agent-trust-gateway.md)
- [Agent Session Flow](https://docs.zk.me/hub/how-built/agent-trust-gateway/agent-session-flow.md)
- [Supported Protocols](https://docs.zk.me/hub/how-built/agent-trust-gateway/supported-protocols.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zk.me/hub/how-built.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
